=== debian/changelog ===
ros-noetic-nao-meshes (0.1.13-0focal) focal; urgency=high

  * Update ERROR_FILE to ERROR_FILE_CMD in CMakeLists to avoid build crash
  * Contributors: mbusy

 -- Maxime Busy <mbusy@softbankrobotics.com>  Tue, 06 Sep 2022 22:00:00 -0000

ros-noetic-nao-meshes (0.1.12-0focal) focal; urgency=high

  * add Maxime Busy as maintainer (#7 <https://github.com/ros-naoqi/nao_meshes/issues/7>)
  * update maintainer (#5 <https://github.com/ros-naoqi/nao_meshes/issues/5>)
  * Contributors: Maxime Busy, Mikael Arguedas

 -- Maxime Busy <mbusy@softbankrobotics.com>  Tue, 07 Jan 2020 23:00:00 -0000

ros-noetic-nao-meshes (0.1.11-0focal) focal; urgency=high

  * fixed folder path + added install rule for texture folder
  * Update package.xml
    added myself as a maintainer as requested by vrabaud
  * Contributors: Arguedas Mikael, Mikael Arguedas

 -- Maxime Busy <mbusy@softbankrobotics.com>  Tue, 02 Feb 2016 23:00:00 -0000

ros-noetic-nao-meshes (0.1.10-0focal) focal; urgency=high

  * fixed folder name in CMakeLists
  * Contributors: Mikael Arguedas

 -- Maxime Busy <mbusy@softbankrobotics.com>  Wed, 27 Jan 2016 23:00:00 -0000

ros-noetic-nao-meshes (0.1.9-0focal) focal; urgency=high

  * update MD5 checksum for new installers
  * Contributors: Mikael Arguedas

 -- Maxime Busy <mbusy@softbankrobotics.com>  Sat, 23 Jan 2016 23:00:00 -0000

ros-noetic-nao-meshes (0.1.8-0focal) focal; urgency=high

  * update md5 for 0.6.7 installers
  * Update README
  * Contributors: Mikael ARGUEDAS, Vincent Rabaud

 -- Maxime Busy <mbusy@softbankrobotics.com>  Wed, 26 Nov 2014 23:00:00 -0000

ros-noetic-nao-meshes (0.1.7-0focal) focal; urgency=high

  * update MD5 for 0.6.6 installer
  * add a changelog
  * Contributors: Vincent Rabaud, margueda

 -- Maxime Busy <mbusy@softbankrobotics.com>  Thu, 02 Oct 2014 22:00:00 -0000

ros-noetic-nao-meshes (0.1.5-0focal) focal; urgency=high

  * new way of finding the architecture
  * Contributors: Vincent Rabaud

 -- Maxime Busy <mbusy@softbankrobotics.com>  Wed, 03 Sep 2014 22:00:00 -0000

ros-noetic-nao-meshes (0.1.4-0focal) focal; urgency=high

  * last try to fix 32 bit
  * Contributors: Vincent Rabaud

 -- Maxime Busy <mbusy@softbankrobotics.com>  Tue, 02 Sep 2014 22:00:00 -0000

ros-noetic-nao-meshes (0.1.3-0focal) focal; urgency=high

  * installer 0.6.5 and better debug info for 32 bits
  * add debug symbols ...
  * Contributors: Vincent Rabaud

 -- Maxime Busy <mbusy@softbankrobotics.com>  Tue, 02 Sep 2014 22:00:00 -0000

ros-noetic-nao-meshes (0.1.2-0focal) focal; urgency=high

  * handle 32 bit and use the 0.6.4 archive
  * add an inactivity timeout (to maybe solve quantal issues)
  * add java dependency as the installer uses java
  * the license should reflect the content not the code
  * Contributors: Vincent Rabaud

 -- Maxime Busy <mbusy@softbankrobotics.com>  Thu, 28 Aug 2014 22:00:00 -0000

ros-noetic-nao-meshes (0.1.1-0focal) focal; urgency=high

  * rename the templates file
  * install the meshes to nao_description for now
  * get the proper URL for the installer, and devel cleanups
    fixes #1 <https://github.com/ros-nao/nao_meshes/issues/1>
  * update the maintainer's email address
  * Contributors: Vincent Rabaud

 -- Maxime Busy <mbusy@softbankrobotics.com>  Tue, 26 Aug 2014 22:00:00 -0000

ros-noetic-nao-meshes (0.1.0-0focal) focal; urgency=high

  * adding everything to use meshes from devel space and to create a binary
  * Contributors: Vincent Rabaud

 -- Maxime Busy <mbusy@softbankrobotics.com>  Mon, 25 Aug 2014 22:00:00 -0000
